Page MenuHomePhabricator

MediaWiki and CC 4.0 license
Closed, ResolvedPublic

Description

Hi,
I want to user Creative Commons 4.0 license in my MediaWiki installation. But when i installed the software via installer and check the site i found that it is showing a link of version 3.0. Is there any reason not to include the CC 4.0 licenses?

Event Timeline

Nasirkhan raised the priority of this task from to Needs Triage.
Nasirkhan updated the task description. (Show Details)
Nasirkhan added a subscriber: Nasirkhan.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 14 2015, 8:24 PM
Aklapper triaged this task as Lowest priority.Apr 14 2015, 9:50 PM

You could change the URL in ./includes/installer/Installer.php:

'url' => 'https://creativecommons.org/licenses/by-sa/3.0/',
MC8 added a subscriber: MC8.May 24 2015, 9:29 AM

Replacing the entries in the installer's licence selector with 4.0 instead of 3.0 is probably not a good idea for now. CC 4.0 is incompatible with 3.0 -- as we probably don't want want to preclude users copying things from Wikipedia to their own wikis (and back), it's probably best to stay with 3.0 for now. Adding both versions to the selector would probably be too confusing.

revi added a subscriber: revi.Sep 17 2015, 8:41 AM

If i want to release my images in CC 4.0 license and want to use the basic uploader, then what would be the way to do that?

Change 248541 had a related patch set uploaded (by saper):
$wgRightsIcon: Link 4.0 family of CC licenses

https://gerrit.wikimedia.org/r/248541

Change 248541 merged by jenkins-bot:
Installer: Link 4.0 family of CC licenses

https://gerrit.wikimedia.org/r/248541

Legoktm closed this task as Resolved.Dec 31 2015, 4:05 AM
Legoktm claimed this task.